Package org.apache.tools.ant.taskdefs

# Class PathConvert.MapEntry

java.lang.Object
org.apache.tools.ant.taskdefs.PathConvert.MapEntry

Enclosing class:
  `PathConvert`

public class PathConvert.MapEntry extends Object
Helper class, holds the nested <map> values. Elements will look like this: <map from="d:" to="/foo"/> When running on windows, the prefix comparison will be case insensitive.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `apply(String elem)`
  Apply this map entry to a given path element.
  `void`
  `setFrom(String from)`
  Set the "from" attribute of the map entry.
  `void`
  `setTo(String to)`
  Set the replacement text to use when from is matched; required.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapEntry

    public MapEntry()

- ## Method Details

  - ### setFrom

    public void setFrom(String from)
    Set the "from" attribute of the map entry.
    Parameters:
      `from` - the prefix string to search for; required. Note that this value is case-insensitive when the build is running on a Windows platform and case-sensitive when running on a Unix platform.

  - ### setTo

    public void setTo(String to)
    Set the replacement text to use when from is matched; required.
    Parameters:
      `to` - new prefix.

  - ### apply

    public String apply(String elem)
    Apply this map entry to a given path element.
    Parameters:
      `elem` - Path element to process.
    Returns:
      String Updated path element after mapping.